#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.2.0
visibility:           public
id:                   ghcide-1.4.2.0-CSaxrvNgVuwCaL66iTzMqN
key:                  ghcide-1.4.2.0-CSaxrvNgVuwCaL66iTzMqN
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  5d360d3fc1d54e34338c2ae06ccf6ee9
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.2.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.2.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.4.2.0-CSaxrvNgVuwCaL66iTzMqN
depends:
    Diff-0.4.1-3mDwHJEt9vRG1177g17AEy
    Glob-0.10.2-9rJ7V5cAUPGB8tbpu297sU
    aeson-1.5.6.0-CXf7LknqfgZ2Hfi5jmQpYM
    aeson-pretty-0.8.9-DzZNjhlbS66KcZ9F1MTf7B array-0.5.4.0
    async-2.2.4-CX5TmuhsdFS1qAzbvk3cF7 base-4.15.1.0
    base16-bytestring-1.0.2.0-9zSRL739pinDfbBVWkcRI2 binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.2.0-CFoB9bn1zu26uIUhTAwxje
    case-insensitive-1.2.1.0-A8tt3kA3ht8BcsnLzy1cSk containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-6uEUc9oItIuJ5ctRmin4K1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    dependent-map-0.4.0.0-43Lwtkljeem70DCfLQeM6t
    dependent-sum-0.7.1.0-6cWYLzWHMAb97TuZhjdcOE directory-1.3.6.2
    dlist-1.0-ImNlUre2rHgIkuGbqNQCOO
    extra-1.7.10-8XombrjaOwOBUMyXlLgDga filepath-1.4.2.1
    fingertree-0.1.5.0-7mMV5pXKJrCIFyF9sezxp6
    fuzzy-0.1.0.1-ABzXDZaEFruBM6zpTz3eNJ ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.6-BFtSWLRud4aAeh4ON4AhJM
    ghc-exactprint-0.6.4-GU3E8X9CvttAnNqQYT4Sfs
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.5-20Skp14Tvmg9qSNMhFPbkW
    haddock-library-1.10.0-FwwiGuKIeZjE43tMNlLP0W
    hashable-1.4.0.2-2wjc0eIGTr36aGIxRaVTyK
    heapsize-0.3.0.1-3ZsBNkduOwDuA24EWRMQH
    hie-bios-0.7.6-22O2A3vtFktLqP3EUYI6nN
    hie-compat-0.2.0.0-HIRtu2tZqQkzZYfKK8kwk
    hiedb-0.4.1.0-5dXxyitadNl8DiGZk3p5rH
    hls-graph-1.4.0.0-IqHRe3kIoujHMJYH78qfBr
    hls-plugin-api-1.2.0.0-CcgG4WV8KBhDgijLuZgJOY
    hslogger-1.3.1.0-1BnYxaxvI3n8AL50OKylcq
    implicit-hie-cradle-0.3.0.5-BDrNxQQrwqHG5THAKOqFZg
    lens-5.1.1-4ANCjh7E7B9DcPOifqwY15
    lsp-1.2.0.1-Etra91Veon1BL5QojYPuCI
    lsp-types-1.3.0.1-HF4Y38CexgZ6NbO4Zt1PiV mtl-2.2.2
    network-uri-2.6.4.1-H5u9dkL94aiDVW881Uc5hy
    opentelemetry-0.7.0-L2vjkJCKX1b6dcyU4jf3hm
    optparse-applicative-0.16.1.0-8KuVTqynK8vD1p754HfKWh
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-7DSTVQj9bEn7uP2UPgCSqB
    prettyprinter-ansi-terminal-1.1.3-AbUxWHhOz6tHpwphKYDH3n
    regex-tdfa-1.3.1.2-R4cqD1ONIjB4g0AHXP2H5
    retrie-1.1.0.0-CbwySQiOikv5JKlDgiCEBT
    rope-utf16-splay-0.3.2.0-7jpro0sVoNfFMLG49JBP3U
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.3-4YLTJ0TNOo4C71kE8b7ESK
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-E6K4DeYRg0DCBWAi82fANs stm-2.5.0.0
    syb-0.7.2.1-9qjN5XOwl6U4K3t2Rmrb6z text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.22.0-G2qP9Kxp5xYEuawgXoLQUJ
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-LWNw197ajNNFytwMBd2fIa
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.12.3.1-50x5zOQFZ1CIL15Y9vpvyM

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

